Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 157963002: Stop deferring commits on body tag insertion if there are no pending stylesheet loads. (Closed)

Created:
5 years, 6 months ago by oystein (OOO til 10th of July)
Modified:
5 years, 6 months ago
Reviewers:
jamesr
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Stop deferring commits on body tag insertion if there are no pending stylesheet loads. At that point we can be fairly sure we'll have something accurate to paint soon, and eliminates long delays on first paint for pages that don't otherwise force any layouts until much later (like gws). The linked bug has performance numbers, but note that there's a possibility this may regress zero-latency (i.e. no netsim) page cycler times. The tradeoff is well worth it however. R=jamesr@chromium.org BUG=344537 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=167465

Patch Set 1 #

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+26 lines, -4 lines) Patch
M Source/web/FrameLoaderClientImpl.cpp View 1 1 chunk +3 lines, -0 lines 0 comments Download
M Source/web/WebViewImpl.h View 1 2 chunks +2 lines, -0 lines 0 comments Download
M Source/web/WebViewImpl.cpp View 1 1 chunk +21 lines, -4 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
oystein (OOO til 10th of July)
James: this is the thing we talked about the other day. So far I haven't ...
5 years, 6 months ago (2014-02-11 22:11:11 UTC) #1
jamesr
This seems reasonable, but we should have some perf data to justify it and be ...
5 years, 6 months ago (2014-02-11 22:13:39 UTC) #2
oystein (OOO til 10th of July)
On 2014/02/11 22:13:39, jamesr wrote: > This seems reasonable, but we should have some perf ...
5 years, 6 months ago (2014-02-11 22:21:25 UTC) #3
oystein (OOO til 10th of July)
On 2014/02/11 22:21:25, Oystein wrote: > On 2014/02/11 22:13:39, jamesr wrote: > > This seems ...
5 years, 6 months ago (2014-02-18 17:39:36 UTC) #4
oystein (OOO til 10th of July)
On 2014/02/18 17:39:36, Oystein wrote: > On 2014/02/11 22:21:25, Oystein wrote: > > On 2014/02/11 ...
5 years, 6 months ago (2014-02-19 20:57:32 UTC) #5
jamesr
Those look really good! lgtm and let's keep an eye in it. Make sure there's ...
5 years, 6 months ago (2014-02-19 21:11:16 UTC) #6
oystein (OOO til 10th of July)
The CQ bit was checked by oysteine@chromium.org
5 years, 6 months ago (2014-02-19 21:45:46 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/oysteine@chromium.org/157963002/30001
5 years, 6 months ago (2014-02-19 21:59:40 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/oysteine@chromium.org/157963002/30001
5 years, 6 months ago (2014-02-19 23:05:18 UTC) #9
commit-bot: I haz the power
5 years, 6 months ago (2014-02-20 07:19:27 UTC) #10
Message was sent while issue was closed.
Change committed as 167465

Powered by Google App Engine
This is Rietveld 408576698